WebLogicJDBCMultiPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJDBCMultiPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJDBCMultiPool

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface WebLogicJDBCMultiPool

extends J2EEResource

Represents a WebLogic JDBC Multi Pool, which is a pool of connection pools.

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true
Display Name:
  JNDIName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAlgorithmType()`
`java.lang.String` | `getJNDIName()`
`WebLogicJDBCConnectionPool[]` | `getPoolList()`
`boolean` | `hasAlgorithmType()`
`boolean` | `hasJNDIName()`
`boolean` | `hasPoolList()`
`void` | `setAlgorithmType(java.lang.String s)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setPoolList(WebLogicJDBCConnectionPool[] poolList)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getAlgorithmType

    java.lang.String getAlgorithmType()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAlgorithmType

    void setAlgorithmType(java.lang.String s)

### hasAlgorithmType

    boolean hasAlgorithmType()

### getPoolList

    WebLogicJDBCConnectionPool[] getPoolList()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPoolList

    void setPoolList(WebLogicJDBCConnectionPool[] poolList)

### hasPoolList

    boolean hasPoolList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD